<!DOCTYPE html>
<html>
    <head>
        <style>
            div{
                color: white;
            }
            .divgrey{
                background-color:grey;
                width: 600px;
                height: 300px;
                margin: auto;
                position: relative;
            }
            .divblack{
                background-color: black;
                width: 200px;
                height: 200px;
                position:absolute;
                margin:auto;
            }
            .divright{
                top:0;
                right:0;
                margin-right:50px;
                margin-top:50px;
            }
            .divleft{
                top:0;
                margin-left:50px;
                margin-top:50px;
            }
        </style>
    </head>
    <body>
        <div class="divgrey">
            div1
        <div class="divblack divright">
            div2
        </div>
        <div class="divblack divleft">
            div3
        </div>
        </div>
    </body>
</html>